Bug 958183 - Rebase libguestfs in RHEL 6.5
Summary: Rebase libguestfs in RHEL 6.5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libguestfs
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 958184 973425
Blocks: 883503 892291 892834 908255 909666 916130 965495 965501 968337
TreeView+ depends on / blocked
 
Reported: 2013-04-30 14:29 UTC by Richard W.M. Jones
Modified: 2013-11-21 04:43 UTC (History)
7 users (show)

Fixed In Version: libguestfs-1.20.11-1.el6
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-21 04:43:03 UTC


Attachments (Terms of Use)
0001-Rebase-to-libguestfs-1.20.6.patch (297.01 KB, patch)
2013-05-18 08:17 UTC, Richard W.M. Jones
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1536 normal SHIPPED_LIVE Moderate: libguestfs security, bug fix, and enhancement update 2013-11-21 00:40:55 UTC

Description Richard W.M. Jones 2013-04-30 14:29:03 UTC
Description of problem:

In order to support a rebased version of virt-v2v in RHEL 6.5,
we will require a newer libguestfs.  We should therefore rebase
libguestfs to the upstream stable branch 1.20.

Version-Release number of selected component (if applicable):

libguestfs 1.16.34 -> 1.20.x

Comment 1 Richard W.M. Jones 2013-05-18 08:17:57 UTC
Created attachment 749611 [details]
0001-Rebase-to-libguestfs-1.20.6.patch

No pm-ack yet, but attached is the rebase patch.

Comment 2 Richard W.M. Jones 2013-05-30 19:34:36 UTC
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=5845372

Comment 11 bfan 2013-10-29 14:31:10 UTC
Verified by sanity test with libguestfs-1.20.11-2.el6.x86_64 

auto test link:
https://virtlab.englab.nay.redhat.com/job/78554/details/
https://virtlab.englab.nay.redhat.com/job/78555/details/

Comment 13 errata-xmlrpc 2013-11-21 04:43:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1536.html


Note You need to log in before you can comment on or make changes to this bug.